/*
Author: Akash Mannil
Date: October 21, 2024
File Name: styles.css
*/

/* CSS Reset */
html, body, header, nav, main, footer, img, h1, ul {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
}

body {
    background-color: #75a05f2e;
    font-family: "Manrope", sans-serif;
    overflow-x: hidden;
}

header {
    text-align: center;
}

.img-logo {
    border-radius: 50%;
    box-shadow: 0px 0px 11px black;
    margin: 0.7em 1em;
    width: 72px;
    height: 74px;
}

.logo-link img:hover {
    box-shadow: 1px 2px 15px 1px black;
}

header h1 {
    display: none;
}

nav {
    clear: left;
    text-align: center;
    background-color: #a89e45;
    padding: 1.1em;
    box-shadow: 0px 0px 28px black;
    border-radius: 5px;
    margin-top: 15px;
    font-size: 1.35em;
    position: sticky;
    top: 0px;
    z-index: 99;
}

nav a {
    text-decoration: none;
    color: floralwhite;
}

nav a:hover {
    text-decoration: none;
    color: chocolate;
}

nav ul {
    list-style-type: none;
    text-align: center;
}

nav li {
    display: block;
    font-size: 0.9em;
}

nav li a {
    display: inline-block;
    color: #fff;
    text-align: center;
    padding: 0.5em 1em;
    text-decoration: none;
    transition: background-color 0.5s;
}

nav li:last-child {
    border-right: unset;
}

nav li a:hover {
    color: #4645a8;
    border-radius: 3px;
    background-color: floralwhite;
}

.activated-route {
    color: #a89e45;
    border-radius: 36px;
    background-color: floralwhite;
}

ul {
    list-style-type: none;
    display: inline-block;
}

#menu-links {
    display: none;
}


#menu-links-mob {
    display: block;
}

.main-banner {
    text-align: center;
}

.img-banner {
    width: 100%;
}

.main-banner-text {
    padding: 1em 0;
    color: #551A8B;
    letter-spacing: 0.2em;
    transform: scale(1);
}

h1 a, h2, h3 {
    color: #551A8B;
}

main {
    padding: 0 20px;
}

.why-choose-us ul li::before {
    font-family: Arial, sans-serif;
    content: "\2713";
    font-size: 24px;
    color: #a89e45;
    left: 0;
    padding-right: 10px;
    position: relative;
    top: 2px;
}

footer {
    text-align: center;
    font-size: 0.8em;
    box-shadow: 0px 0px 11px black;
    border-radius: 2px;
    padding: 3px 0px;
    background-color: #a89e45;
    line-height: 0.8em;
    padding: 1.2em 0;
    color: white;
}

footer a {
    color: #4645a8;
    text-decoration: none;
}

footer a:hover {
    transition: text-shadow 0.5s;
    text-shadow: 0px 1px BLACK;
}

/* Mobile-First Styles for specials.html */
.banner {
    background-color: #a89e45;
    color: #fff;
    text-align: center;
    padding: 50px 20px;
}

.banner h2 {
    font-size: 36px;
    margin-bottom: 10px;
    color: #fff;
}

.banner p {
    font-size: 18px;
    margin-top: 10px;
}

.special-offers {
    max-width: 100%;
    margin: 50px auto;
    padding: 0 20px;
}

.special-offers h2 {
    text-align: center;
    font-size: 28px;
    margin-bottom: 30px;
}

.offer-item {
    display: grid;
    grid-template-columns: 1fr; /* One column for mobile */
    gap: 20px;
    margin-bottom: 40px;
    background-color: #fff;
    border: 1px solid #ddd;
    padding: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.offer-item img {
    max-width: 100%;
    margin-right: 0;
}

.offer-item h3 {
    font-size: 20px;
    margin-bottom: 10px;
}

.offer-item p {
    font-size: 16px;
    margin-bottom: 10px;
}

.offer-item .btn {
    display: inline-block;
    background-color: #a89e45;
    color: #fff;
    padding: 10px 20px;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.offer-item .btn:hover {
    background-color: #fff;
    color: #a89e45;
}

.about-us {
    background-color: #fff;
    padding: 50px 20px;
    margin-top: 40px;
    text-align: center;
    border-top: 2px solid #ddd;
    color: #fff;
    background-color: #a89e45eb;
}

.about-us h2 {
    font-size: 24px;
    margin-bottom: 20px;
    color: #fff;
}

.about-us p {
    font-size: 18px;
    margin-bottom: 20px;
}

.about-us ul {
    list-style: none;
    padding: 0;
}

.about-us ul li {
    font-size: 16px;
    margin-bottom: 10px;
}

.call-to-action {
    background-color: #a89e45eb;
    color: #fff;
    padding: 30px 20px;
    text-align: center;
}

.call-to-action h2 {
    font-size: 24px;
    margin-bottom: 10px;
    color: #fff;
}

.call-to-action p {
    font-size: 18px;
    margin-bottom: 20px;
}

.call-to-action .btn {
    display: inline-block;
    background-color: #fff;
    color: #a89e45;
    padding: 15px 30px;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.call-to-action .btn:hover {
    background-color: #a89e45;
    color: #fff;
}


h1, h2 {
    text-align: center;
    margin-bottom: 20px;
}

section {
    margin-bottom: 40px;
}

/* Hero Section */
.hero {
    text-align: center;
    background-color:#a89e45eb;
    padding: 40px;
    border-radius: 8px;
    color: #fff;
    box-shadow: 1px 2px 4px 1px #333;
}

.hero p {
    font-size: 1.2em;
    margin-top: 10px;
}

.hero h2 {
    color: #fff;
}

/* Why Choose Us Section */
.why-choose-us {
    text-align: center;
}

.why-choose-us ul {
    padding: 0;
    list-style: none;
}

.why-choose-us li {
    margin-bottom: 15px;
    font-size: 1.1em;
}

/* Explore Range Section */
.product {
    box-shadow: 1px 2px 4px 1px #333;
}

.explore-range .products {
    display: grid;
    grid-template-columns: 1fr; /* One column for mobile */
    gap: 20px;
    margin-top: 20px;
}

.explore-range .product {
    padding: 10px;
    background-color: #f1f1f1;
    border-radius: 8px;
    text-align: center;
}

.explore-range .product h3 {
    margin-top: 10px;
}

/* Testimonials Section */
.testimonials blockquote {
    margin-bottom: 20px;
    padding: 15px;
    background-color: #f1f1f1;
    border-left: 4px solid #551a8b;
    font-style: italic;
}

.testimonials footer {
    text-align: right;
    font-weight: bold;
}

/* Call to Action */
.join-community .sign-up-button {
    display: inline-block;
    padding: 15px 25px;
    background-color: #a89e45;
    color: white;
    font-weight: bold;
    border-radius: 5px;
    text-transform: uppercase;
    text-align: center;
}

.join-community .sign-up-button:hover {
    background-color: white;
    color: #a89e45;
}

.join-community, .contact-us, .follow-us {
    box-shadow: 0px 1px 2px 0px #333;
}

.contact-us a {
    color: #551A8B;
}


/* Social Links */
.social-links {
    display: grid;
    /* grid-template-columns: repeat(auto-fit, minmax(50px, 1fr)); */
    gap: 15px;
    justify-items: center;
    margin-top: 20px;
    color: #a89e45;
    margin-top: 20px;
}

.social-links a {
    margin-right: 10px;
    color: #551A8B;
    text-decoration: none;
}

.social-links a:hover {
    color: white;
    background-color: #a89e45;
    border-radius: 5px;
}

.join-community, .contact-us, .follow-us {
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 5% 3%;
    text-align: center;
}

.sign-up-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #a89e45;
    color: white;
    text-decoration: none;
    border-radius: 4px;
    margin-top: 10px;
}

.shop-now {
    text-align: center;
}

/* Media Queries for Larger Screens */

/* For tablets and above */
@media (min-width: 768px) {
    header {
        text-align: unset;
    }

    .logo-link {
        float: left;
        position: relative;
        z-index: 99;
    }

    .logo-link::after {
        content: "";
        display: table;
        clear: both;
    }

    header h1 {
        display: block;
        text-align: center;
        padding-top: 18px;
        color: #551A8B;
        transform: scale(1.2);
        transition: text-shadow 0.5s;
        letter-spacing: 0.2em;
    }
    
    header h1:hover {
        text-shadow: 1px 2px rgba(0, 0, 0, 0.39);
    }

    header a {
        text-decoration: none;
        transition: font-size 1s;
    }

    nav li {
        display: inline-block;
        font-size: 0.9em;
    }
    
    #menu-links .menu-icon {
        display: none;
    }

    #menu-links-mob {
        display: none;
    }

    #menu-links{
        display: inline-block;
    }

    .explore-range .products {
        grid-template-columns: 1fr 1fr;
    }

    .explore-range .product {
        width: 80%;
        margin-bottom: 20px;
    }

    .offer-item {
        grid-template-columns: 1fr;
    }

    .about-us h2 {
        font-size: 28px;
    }

    .call-to-action h2 {
        font-size: 28px;
    }

    .hero p {
        font-size: 1em;
    }

    .join-community, .contact-us, .follow-us {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr; /* Three equal columns */
        gap: 20px;
    }

    /* Optional styling for a consistent design */
    .join-community, .contact-us, .follow-us {
        padding: 30px;
    }
}

/* For desktops */
@media (min-width: 1024px) {
    .explore-range .products {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr)); /* Three or more columns */
    }

    .social-links {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(50px, 1fr));
        gap: 15px;
    }

    .join-community, .contact-us, .follow-us {
        grid-template-columns: 1fr 1fr 1fr; /* Ensure grid layout stays intact */
    }  

    .offer-items {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 10px;
    }
}

/* Media Query for Print */
@media print {
    body {
        background-color: #fff;
        color: #000;
    }
}